Bug 1136414 - Guide Me brings up no topics for Cluster not associated with any Data Center
Summary: Guide Me brings up no topics for Cluster not associated with any Data Center
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: 3.5
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 3.6.0
Assignee: Alexander Wels
QA Contact: Karolína Hajná
URL:
Whiteboard: infra
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-02 14:08 UTC by Gilad Lazarovich
Modified: 2016-06-23 04:52 UTC (History)
9 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-11-04 11:35:03 UTC


Attachments (Terms of Use)
Screenshot showing Guide Me has no steps for user (82.68 KB, application/octet-stream)
2014-09-02 14:08 UTC, Gilad Lazarovich
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 37763 master MERGED webadmin: cluster guide me datacenter Never
oVirt gerrit 40821 None None None Never
oVirt gerrit 41486 master MERGED webadmin: cluster guide me datacenter Never

Description Gilad Lazarovich 2014-09-02 14:08:08 UTC
Created attachment 933779 [details]
Screenshot showing Guide Me has no steps for user

Description of problem:
Guide Me brings up no topics for Cluster not associated with any Data Center

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Create a new Data Center, then a new Cluster to go with this Data Center
2. Remove the Data Center
3. Go into this Cluster and click on Guide Me

Actual results:
No topics are displayed

Expected results:
There should be an option to associate this Cluster with an existing Data Center

Additional info:

Comment 1 Einav Cohen 2014-09-25 13:13:47 UTC
in this state, need to have a single button "Add to Data Center" that will open up a dialog with a radio-button list of all Data-Center with proper compatibility level (i.e. smaller or equal to the Cluster compatibility level); for each Data-Center in this list, need to display the Data Center's: name, type (local[*]/shared) and compatibility level. 

[*] local data-centers that already contain a cluster should be filtered *out* of this list.

Comment 2 Einav Cohen 2015-05-12 18:46:28 UTC
patch was reverted, moved back to ASSIGNED.

Comment 3 Alexander Wels 2015-05-29 12:06:34 UTC
Re-introduced patch, with a fix for the issue it caused.

Comment 4 Max Kovgan 2015-06-28 14:12:07 UTC
ovirt-3.6.0-3 release

Comment 5 Karolína Hajná 2015-09-16 05:52:42 UTC
Verified on rhevm-3.6.0-0.15.master.el6.noarch

Comment 6 Sandro Bonazzola 2015-11-04 11:35:03 UTC
oVirt 3.6.0 has been released on November 4th, 2015 and should fix this issue.
If problems still persist, please open a new BZ and reference this one.


Note You need to log in before you can comment on or make changes to this bug.